<template>
  <div>
    <van-nav-bar
      title="我的事项"
      left-arrow
      @click-left="goOnlineHomeIndex"
    />
    <van-tabs v-model="activeName" title-active-color="#1D6FE9" color="#1D6FE9" line-width="20px" swipeable @click="getList">
      <van-tab title="待办" name="1" >
      </van-tab>
      <van-tab title="已办" name="2">
      </van-tab>
    </van-tabs>
    <van-cell-group @click="goDetail(item)" v-for="(item,index) in taskList" :key="index" style="width: 96%;margin:2%;border-radius: 6px;overflow: hidden;padding-top: 10px;padding-bottom: 10px;box-shadow: 0px 3px 6px 0px rgba(0,0,0,0.16);">
      <van-cell>
        <template #title>
          <van-row style="">
            <van-col span="23" :offset="1">

              <h3 style="display: inline-block;line-height: 30px;margin-left: 6px;width: 100%;overflow: hidden;">
                <van-image
                  height="20"
                  width="20"
                  style="vertical-align: middle;margin-right: 10px"
                  src="../../../static/images/onlineHome/done.png"></van-image>{{item.projectName}}</h3>
            </van-col>
          </van-row>
        </template>
      </van-cell>
      <van-cell>
        <template #title>
          <van-row>
            <van-col span="6" :offset="1">
              <p style="color: #878787">{{item.createTime?item.createTime.substring(0,10):item.startTime.substring(0,10)}}</p>
            </van-col>
            <van-col span="10" :offset="1">
              <p style="color: #878787">{{item.formData.activityBusinessType}}</p>
            </van-col>
            <van-col span="5" :offset="1">
              <p style="font-size: 14px;font-weight:bold;text-align: right;color: #1D6FE9">{{activeName=='1'?'待审批':'已审批'}}</p>
            </van-col>
          </van-row>
        </template>
      </van-cell>
    </van-cell-group>
  </div>
</template>

<script>
    import onlineHomeIndex from "../onlineHomeIndex";
    import {ListDone, ListTodo} from "../../api/onlineHome/done";

    export default {
      components: {
        onlineHomeIndex
      },
        name: "done",
      data(){
        return{
          taskList:[],
          activeName:this.$route.query.activeName?this.$route.query.activeName:'1',
          total:0,
          queryParams: {
            pageNum: 1,
            pageSize: 100,
          },
          activityBusinessTypeOptions:[],
        }
      },
      created() {
        this.getDicts("activity_business_type").then((response) => {
          this.activityBusinessTypeOptions = response.data;
          if(this.$route.query.activeName){
            this.activeName = this.$route.query.activeName
          }
          this.getList();
        });
        console.log(this.$route.query.fr)
        if(this.$route.query.fr){
          this.$cookies.set("from",this.$route.query.fr,"0")
        }

      },
      methods: {
        goOnlineHomeIndex(){
          if(this.$cookies.get("from")=="my"){
            this.$router.push({name:"yinnongMy"})
          }else{
            this.$router.push({name:"yinnongWorkbench"})
          }
        },
        getList() {
          this.taskList = []
          this.$set(this.queryParams, "systemType", '4');
          if(this.activeName=='1'){
            ListTodo(this.queryParams).then((response) => {
              response.rows.map(res => {
                if(res.tableName?res.tableName.indexOf('house')>0:""){
                  res.tableName = '来自农村宅基地管理系统'
                }else if(res.tableName?res.tableName.indexOf('sys_seal')>0:""){
                  res.tableName = '来自银农直联审批管理系统'
                }else if(res.tableName?res.tableName.indexOf('yinnong')>0:""){
                  res.tableName = '来自银农直联审批管理系统'
                }
                if(this.activityBusinessTypeOptions){
                  this.activityBusinessTypeOptions.map(t => {
                    if(t.dictValue == res.formData.activityBusinessType){
                      res.formData.activityBusinessType = t.dictLabel
                      this.taskList.push(res)
                    }
                  });
                }
              })
            })
          }else{
            ListDone(this.queryParams).then((response) => {
              response.rows.map(res => {
                if(res.tableName?res.tableName.indexOf('house')>0:""){
                  res.tableName = '来自农村宅基地管理系统'
                }else if(res.tableName?res.tableName.indexOf('sys_seal')>0:""){
                  res.tableName = '来自银农直联审批管理系统'
                }else if(res.tableName?res.tableName.indexOf('yinnong')>0:""){
                  res.tableName = '来自银农直联审批管理系统'
                }
                if(this.activityBusinessTypeOptions){
                  this.activityBusinessTypeOptions.map(t => {
                    if(t.dictValue == res.formData.activityBusinessType){
                      res.formData.activityBusinessType = t.dictLabel
                      this.taskList.push(res)
                    }
                  });
                }
              })
            })
          }
        },
        goDetail(item){
          console.log(item)
          let type = item.formData.processKey;
          switch (type) {
            case 'baseApply':
            case 'landscope':
            case 'accepting':
              this.$router.push({name:'approvalForm',query: {id:item.formData.id,taskId:item.taskId,instanceId:item.formData.instanceId,type:item.type}})
              break;
            case 'toReviewTransferProcess':
            case 'yinnong_transfer':
              if(item.formData.transferType == '10'){
                this.$router.push({name:'approvalApproval10',query: {id:item.formData.id,taskId:item.taskId,type:item.type}})
                break;
              }
              if(item.formData.transferType == '11'){
                this.$router.push({name:'approvalApproval11',query: {id:item.formData.id,taskId:item.taskId,type:item.type}})
                break;
              }
              if(item.formData.transferType == '12'){
                this.$router.push({name:'approvalApproval12',query: {id:item.formData.id,taskId:item.taskId,type:item.type}})
                break;
              }
              if(item.formData.transferType != '10'&&item.formData.transferType != '11'&&item.formData.transferType != '12'){
                this.$router.push({name:'approvalApproval',query: {id:item.formData.id,taskId:item.taskId,type:item.type}})
                break;
              }
          }
        }
      },
    }
</script>

<style scoped>

</style>
